Bug 1265741 - python-redis is not installed with packstack allinone
python-redis is not installed with packstack allinone
Status: CLOSED EOL
Product: RDO
Classification: Community
Component: openstack-ceilometer (Show other bugs)
trunk
Unspecified Unspecified
unspecified Severity high
: ---
: Liberty
Assigned To: Eoghan Glynn
Sasha Smolyak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-23 11:51 EDT by Yurii Prokulevych
Modified: 2017-06-29 10:52 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-29 10:52:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yurii Prokulevych 2015-09-23 11:51:23 EDT
Description of problem:
python-redis is required by openstack-polling services to run.
Right now it's not installed with packstack.

...
Sep 23 17:27:06 127.0.0.1 ceilometer-polling[68563]: ImportError: No module named redis
...

Packages:
openstack-ceilometer-api-5.0.0.0b4-dev123.el7.centos.noarch
python-ceilometerclient-1.5.1-dev1.el7.centos.noarch
openstack-ceilometer-common-5.0.0.0b4-dev123.el7.centos.noarch
openstack-ceilometer-collector-5.0.0.0b4-dev123.el7.centos.noarch
openstack-ceilometer-polling-5.0.0.0b4-dev123.el7.centos.noarch
openstack-ceilometer-notification-5.0.0.0b4-dev123.el7.centos.noarch
openstack-ceilometer-central-5.0.0.0b4-dev123.el7.centos.noarch
openstack-ceilometer-compute-5.0.0.0b4-dev123.el7.centos.noarch
python-ceilometer-5.0.0.0b4-dev123.el7.centos.noarch
openstack-ceilometer-alarm-5.0.0.0b4-dev123.el7.centos.noarch

openstack-packstack-2015.2-dev1636.g3015bff.el7.centos.noarch
openstack-packstack-puppet-2015.2-dev1636.g3015bff.el7.centos.noarch

Expected results:
python-redis is installed

Additional info:
OS: RHEL-7.1
Comment 1 Shane Boulden 2016-04-27 00:03:31 EDT
Description of problem:
This same problem was encountered using the RDO Liberty packstack as of 26 April 2016.

Expected results:
python-redis is installed.

Workaround:
Installing the python-redis package using yum resolved the issue.
Comment 2 Christopher Brown 2017-06-29 10:52:20 EDT
Stale bug, closing, please re-open if this is still an issue, thanks.

Note You need to log in before you can comment on or make changes to this bug.